## wxwidgets3.2 3.2.0

=== debian/changelog ===
wxwidgets3.2 (3.2.0-1.focal) focal; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.2.0 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Thu, 07 Jul 2022 17:18:29 +0100
 

wxwidgets3.1 (3.1.7-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.7 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 07 Jun 2022 14:49:12 +0100
 

wxwidgets3.1 (3.1.6-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.6 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 05 Apr 2022 12:02:57 +0100
 

wxwidgets3.1 (3.1.5-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.5 build especially for use by CodeLite.
  * Change the names of some of the packages from
    - unofficial3 to unofficial. Note that this fixes
    - various problems found in 3.1.4, but also prevents
    - GTK+2 and GTK+3 wx3.1 packages co-existing.

 -- david <david@codelite.co.uk>  Tue, 15 Apr 2021 13:25:09 +0100
 

wxwidgets3.1 (3.1.4-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.4 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 28 Jul 2020 10:02:33 +0100
 

wxwidgets3.1 (3.1.3-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.3 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 29 Oct 2019 12:27:16 +0000

wxwidgets3.1 (3.1.2-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.2 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Fri, 18 Oct 2018 12:13:07 +0100

wxwidgets3.1 (3.1.2-1).stretch) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+2 wx3.1.2 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Mon, 10 Dec 2018 16:46:02 +0000

wxwidgets3.1 (3.1.1-1).stretch) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+2 wx3.1.1 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 20 Feb 2018 12:17:22 +0000

wxwidgets3.1 (3.1.0-1).jessie) stable; urgency=low

  * Non-maintainer upload.
  * A wx3.1.0 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 01 Mar 2016 11:46:01 +0000

wxwidgets3.0 (3.0.2-1) unstable; urgency=low

  [ Olly Betts ]

  * New upstream release:
    - wxTR_EDIT_LABELS now works again.  (Closes: #762134)
  * Disable gcc4.9-workaround.patch, as GCC is now fixed in jessie and this
    bug is new in 4.9 so wheezy was never affected.

  [ Christian Beier ]

  * debian/control.in: Add BD on libnotify-dev to enable use of libnotify.
    (Closes: #745887)

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 13:12:10 +1300

wxwidgets3.0 (3.0.1-3) unstable; urgency=medium

  [ Olly Betts ]

  * debian/control.in: Update "Vcs-*" fields to include the branch name.
    (Thanks vcswatch)
  * debian/control.in: Drop "Suggests: libstdc++-dev" from -dev packages
    - you need a C++ compiler installed for the -dev packages to be
    useful, which should ensure the appropriate C++ runtime -dev package
    is installed.
  * Split off the msw cross packages into debian/control.msw.in, which we
    only include in the generated debian/control when building the cross
    packages.  This avoids source-only uploads erroneously ending up in
    NEW.

  [ Gianfranco Costamagna ]

  * debian/control.in: Promote dependency of libwxgtk3.0-dev on
    "libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev" from
    "Suggests" to "Depends", as these are required to build code which uses
    wxGLCanvas.  Drop this dependency entirely from libwxgtk-media3.0-dev
    and libwxgtk-webview3.0-dev as these both depend on libwxgtk3.0-dev,
    and it is the latter which actually needs them.  (Closes: #757638)

 -- Olly Betts <olly@survex.com>  Mon, 11 Aug 2014 17:48:06 +1200

wxwidgets3.0 (3.0.1-2) unstable; urgency=medium

  * New patch gcc4.9-workaround.patch to work around GCC 4.9 bug
    #752733.
  * debian/unpack_examples.sh.in: Don't uncompress files which are
    already compressed upstream.  Add missing quoting of filenames.
    Add "set -e".

 -- Olly Betts <olly@survex.com>  Sat, 28 Jun 2014 15:00:12 +1200

wxwidgets3.0 (3.0.1-1) unstable; urgency=medium

  * New upstream release
    + Incorporates most of the patches we were carrying - only one left is:
      wx-config-conditionalise-webview-in-std.patch
  * Drop versioning of dependencies from run-time libraries to wx-common -
    this will make the transition to the next wx version harder, and also
    makes backporting to wheezy more work.
  * Mark -dbg packages as "Multi-Arch: same".
  * Correct short descriptions of the webview packages to not just be
    copies of the corresponding media package's short description.
  * Wrap 81 character line in package description.

 -- Olly Betts <olly@survex.com>  Wed, 18 Jun 2014 12:42:22 +1200

wxwidgets3.0 (3.0.0-4) unstable; urgency=medium

  * Only include webview in the "std" gui libs if libwxgtk-webview3.0-dev is
    installed (new patch wx-config-conditionalise-webview-in-std.patch).
    (Closes: #749292)

 -- Olly Betts <olly@survex.com>  Mon, 26 May 2014 14:03:35 +1200

wxwidgets3.0 (3.0.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]

  * Standards-Version: 3.9.5 (no changes required).
  * New libwxgtk-webview3.0-0{,-dbg,-dev} packages (Closes: #738849)
    + debian/control.in: add libwebkitgtk-dev as b-d
      needed to enable webview support
    + debian/rules: split webview library in the new package
  * Backport fix from upstream VCS:
    + debian/patches/fix-bug-736374.patch: Fix scroll with mouse wheel
      (thanks Tillmann Karras the bug report and patch url. (Closes: #736374)

  [ Olly Betts ]

  * debian/patches/propgrid-assertion-fixes.patch: Fix crash on "Try these"
    in the propgrid example (Closes: #746192)

 -- Olly Betts <olly@survex.com>  Wed, 21 May 2014 15:45:59 +1200

wxwidgets3.0 (3.0.0-2) unstable; urgency=low


